/*
Theme Name: OceanWP Child for Roos Sterrenkijker
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme child theme.
Author: Omniafausta
Author URI: https://omniafausta.com
Template: oceanwp
Version: 1.0.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */



/* variable colors */
:root {


}


/* header & logo */
#site-logo {
	float: none;
	height: 110px;
	margin: 0 auto;
}


#site-header {
	background-image: url(https://roossterrenkijker.nl/wordpress/wp-content/uploads/2025/03/achtergrond-header.png);
	background-size: 1150px 216px;
	background-position: center center;
	background-repeat: no-repeat;
	height: 250px;
}



#site-logo #site-logo-inner {
	height: 240px !important;
	vertical-align: bottom;
}


/* home */

.home #site-header {
	background-image: none;
	background-color: #fff;
}

body.home {
	background-color: #211452;
}

.home #footer-bottom, .home #footer-bottom p {
  color: #ffffff55;
}

.home #footer-bottom a {
  color: #ffffff55;
}

.home #footer-bottom a:hover {
  color: #ffffff99;
}

.home .custom-logo-link img {
	  margin-top: 28px;
}

.home blockquote {
	position: absolute;
	top: -150px;
	left: 75%;
	z-index: 100000;
	width: calc(50vw - 100px);
	border-left: 0px solid;
	padding-left: 40px;
	font-weight: 300;
	line-height: 1.5;
	font-size: 15px;
}

.home blockquote p {
	margin-bottom: 0px;
}

.home blockquote p:first-of-type {
	margin-left: 20px;
}
.home blockquote p:last-of-type {
	margin-left: 60px; 
}

.home cite {
	margin-left: 100px;
	margin-top: -10px
}

.home blockquote cite::before {
  content: " ";
}

.home figure.schilderij-home {
	border: 10px solid #ffdc00;
	max-height: calc(100vh - 370px);
	overflow: hidden;
	max-width: 510px;
	margin: 40px auto 0 auto;
	min-height: 510px;
}

.home #site-navigation-wrap {
	margin-top: -28px;
}

.home #site-header.full_screen-header .menu-bar .ham, .home #site-header.full_screen-header .menu-bar .ham::before, .home #site-header.full_screen-header .menu-bar .ham::after {
	background-color: #fff;
}



/* navigation */
.menu-bar-wrap, #site-header.full_screen-header .menu-bar-wrap, #site-navigation-wrap {
	float: none;
}

.menu-bar-wrap {
	margin-left: calc(50vw - 350px);
}

#site-navigation-wrap {
	width: 0px;
}

#site-header.full_screen-header .menu-bar-inner {
  height: 170px !important;
}

#site-header.full_screen-header #full-screen-menu.active {
	height: auto;
	margin-top: 250px;
	background-color: #ffdc00;
	width: 100vw;
	margin-left:0;
	overflow: auto;
}

.admin-bar #site-header.full_screen-header #full-screen-menu.active {
	margin-top: 282px;
}

#site-header.full_screen-header #full-screen-menu #site-navigation {
  padding: 62px 0;
  text-align: left;
}

#site-header.full_screen-header #full-screen-menu #full-screen-menu-inner {
  padding: 0 10px;
  max-width: 610px;
  margin: 0 auto;
}

#site-header.full_screen-header .fs-dropdown-menu > li > a {
  font-size: 13px;
  line-height: 1.5;
  padding: 7px 10px;
  margin-bottom: 3px;
  background-color: #211452;
}

#site-header.full_screen-header .fs-dropdown-menu > li.current_page_item > a {
	color: #42c1e7;
}

#site-header.full_screen-header .fs-dropdown-menu > li > a:hover {
	background-color: #42c1e7;
	color: #fff !important;
}


.home #site-header.full_screen-header #full-screen-menu.active {
  margin-top: 320px;
  width: 510px;
  margin-left: calc(50vw - 255px);
}

.home #site-header.full_screen-header #full-screen-menu #site-navigation {
  padding: 10px 0 0 0;
  
}


/* typography */

h2, h3 {
	margin: 0;
}

p + h2, ul + h2 , ol + h2  {
	margin-top: 40px;
}

:root :where(.wp-block-image figcaption) {
  color: #B6B2C5 !important;
  text-align: left !important;
  font-style: italic;
}



/* page-header */

.page-header {
  padding: 50px 0 0;
}

.page-header-title {
	padding-left: 30px;
}

/* content */

.content-area {
  border-right: 0px solid #fff;
}

#main {
  min-height: calc(100vh - 300px);
}

#main #content-wrap {
	padding-top: 30px;
	padding-bottom: 20px;
}

#main #content-wrap #content {
	padding-left: 30px;
}

/* footer */

#footer-bottom-inner.container {
	max-width: 100%;
	width: calc(100% - 40px);
}



/* lists */



/* tables */




/* form */
.wpforms-container input.wpforms-field-medium, .wpforms-container select.wpforms-field-medium, .wpforms-container .wpforms-field-row.wpforms-field-medium, .wp-core-ui div.wpforms-container input.wpforms-field-medium, .wp-core-ui div.wpforms-container select.wpforms-field-medium, .wp-core-ui div.wpforms-container .wpforms-field-row.wpforms-field-medium {
	max-width: 100%;
}
.wpforms-container .wpforms-field-label, .wp-core-ui div.wpforms-container .wpforms-field-label, .wpforms-container .wpforms-form * {
	font-weight: 500;
	word-break: keep-all !important;
  	word-wrap: normal !important;
}

.wpforms-container .wpforms-field-label, .wp-core-ui div.wpforms-container .wpforms-field-label {
	color:	#211452 !important;
}

div.wpforms-container-full .wpforms-confirmation-container-full, div[submit-success] > .wpforms-confirmation-container-full:not(.wpforms-redirection-message) {
  background: #ffdc00 !important;
  border: 1px solid #ffdc00 !important;
}


/* miscelania */

#outer-wrap a:focus {
  outline: solid 0px !important;
}
.wp-block-image.left-outside {
	width: 180px;
}

.wp-block-image:not(.left-outside) .size-medium {
	max-width: 50%;
}


/* media queries */


@media only screen and (min-width: 960px) {

	.wp-block-image.left-outside {
		margin-left: -190px;
		width: 180px;
	}
}

@media only screen and (max-width: 959px) {

  #main #content-wrap.container {
    width: 610px !important;
  }
  
  
	.home blockquote {
		padding-left: 10px;
		top: -190px;
	}

	.home blockquote p {
		margin-bottom: 0px;
		margin-left: 0px;
	}

	.home blockquote p:first-of-type {
		margin-left: 0;
	}

	.home cite {
		margin-left: 80px;
	}

	.home blockquote cite::before {
	  content: " ";
	}
	.content-area {
		margin-bottom: 0px;
	}

}

@media only screen and (max-width: 767px) {

	.menu-bar-wrap {
		margin-left: 0;
	}
	#site-header.full_screen-header #full-screen-menu #full-screen-menu-inner {
	  padding: 0 60px;
	}

}

@media only screen and (max-width: 600px) {
	.wp-block-image:not(.left-outside) .size-medium, .wp-block-image:not(.left-outside) .size-medium img {
		max-width: 100%;
		width: 100% !important;
	}
	.home figure.schilderij-home {
		min-height: 100%;
	}
}


@media only screen and (max-width: 810px) {

	.home blockquote {
		position: relative;
		color: #fff;
		left: 0;
		top: 0;	
		width: 280px;
	}
	
	.home figure.schilderij-home {
	  max-height: 100%;
	}
	.home blockquote p:first-of-type {
		margin-left:20px;
	}

}



/* =color palette
-------------------------------------------------------------- */

p.has-background {
	padding: 25px 15px 25px 25px!important;
	margin-top: 35px;
	margin-bottom: 35px;
}




.has-yellow-color {
	color:#ffdc00;
}
.has-yellow-background-color {
	background-color:#ffdc00;
}

.has-bright-blue-color {
	color:#42c1e7;
}
.has-bright-blue-background-color {
	background-color:#42c1e7;
}

.has-dark-blue-color {
	color:#211452;
}
.has-dark-blue-background-color {
	background-color:#211452;
}

.has-grey-blue-color {
	color:#B6B2C5;
}
.has-grey-blue-background-color {
	background-color:#B6B2C5;
}

